// src/app-plugins-site-plugins-v1-placement-status-plugins.universal.ts
import { transformError as sdkTransformError } from "@wix/sdk-runtime/transform-error";
import {
  renameKeysFromSDKRequestToRESTRequest,
  renameKeysFromRESTResponseToSDKResponse
} from "@wix/sdk-runtime/rename-all-nested-keys";

// src/app-plugins-site-plugins-v1-placement-status-plugins.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixAppPluginsSitePluginsV1PluginsPlacementStatusImplUrl(opts) {
  const domainToMappings = {
    "bo._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/app-plugins",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_site-plugins_plugins";
function getPlacementStatus(payload) {
  function __getPlacementStatus({ host }) {
    const metadata = {
      entityFqdn: "wix.app_plugins.site_plugins.v1.placement_status",
      method: "GET",
      methodFqn: "wix.app_plugins.site_plugins.v1.PluginsPlacementStatusImpl.GetPlacementStatus",
      packageName: PACKAGE_NAME,
      url: resolveWixAppPluginsSitePluginsV1PluginsPlacementStatusImplUrl({
        protoPath: "/v1/site-plugins/placement-status",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __getPlacementStatus;
}

// src/app-plugins-site-plugins-v1-placement-status-plugins.universal.ts
async function getPlacementStatus2() {
  const { httpClient, sideEffects } = arguments[0];
  const payload = renameKeysFromSDKRequestToRESTRequest({});
  const reqOpts = getPlacementStatus(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {},
        singleArgumentUnchanged: false
      },
      []
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/app-plugins-site-plugins-v1-placement-status-plugins.public.ts
function getPlacementStatus3(httpClient) {
  return () => getPlacementStatus2(
    // @ts-ignore
    { httpClient }
  );
}

// src/app-plugins-site-plugins-v1-placement-status-plugins.context.ts
import { createRESTModule } from "@wix/sdk-runtime/rest-modules";
var getPlacementStatus4 = /* @__PURE__ */ createRESTModule(getPlacementStatus3);
export {
  getPlacementStatus4 as getPlacementStatus
};
//# sourceMappingURL=index.mjs.map