import { a as GetPlacementStatusRequest$1, G as GetPlacementStatusResponse$1 } from './app-plugins-site-plugins-v1-placement-status-plugins.universal-CB8hefIa.mjs';

/** The `PlacementStatus` object represents the status of your app's site plugins, indicating whether they are currently placed in a slot on the user's site. */
interface PlacementStatus {
    /**
     * Plugin ID. This is a unique ID that is assigned to each plugin. You can view your plugin IDs in [extensions](https://dev.wix.com/app-selector?title=Select+an+App&primaryButtonText=Select+Site&actionUrl=https%3A%2F%2Fdev.wix.com%2Fapps%2F%7BappId%7D%2Fextensions) in your app's dashboard.
     * @format GUID
     * @readonly
     */
    pluginId?: string | null;
    /**
     * Whether the plugin placed in a slot on the user's site.
     * @readonly
     */
    placedInSlot?: boolean | null;
}
interface GetPlacementStatusRequest {
}
interface GetPlacementStatusResponse {
    /** Data about placement statuses of your app's site plugins on the user's site. */
    placementStatuses?: PlacementStatus[];
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function getPlacementStatus(): __PublicMethodMetaInfo<'GET', {}, GetPlacementStatusRequest$1, GetPlacementStatusRequest, GetPlacementStatusResponse$1, GetPlacementStatusResponse>;

export { type __PublicMethodMetaInfo, getPlacementStatus };
